<?php
use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;
	
$app =new \Slim\app;


/// listado de  todos los proyectos
$app ->get('/api/proyectos', function(Request $request, Response $response){
	
	
	$array = aplicaciones_listado("",'','array','');
	echo json_encode($array,JSON_NUMERIC_CHECK|JSON_PRETTY_PRINT);
	
	});
/// aplicaciones por proyecto
$app ->get('/api/proyectos/{id}', function(Request $request, Response $response){
	$id= $request->getAttribute('id');
	
	$array = empresa_datos("$id",'array');
	echo json_encode($array,JSON_NUMERIC_CHECK|JSON_PRETTY_PRINT);
	
	});


// entradas a aplicacion por id
$app ->get('/api/proyectos/{id}/aplicaciones', function(Request $request, Response $response){
	
	$id= $request->getAttribute('id');
	
	$array = aplicaciones_listado("$id",'','array','');
	echo json_encode($array,JSON_NUMERIC_CHECK|JSON_PRETTY_PRINT);
	});
	

// entradas a aplicacion por id
$app ->get('/api/proyectos/{id}/aplicaciones/{aplicacion}', function(Request $request, Response $response){
	$datos= array();
	$datos['id']= $request->getAttribute('aplicacion');
	$datos['proyecto']= $request->getAttribute('id');
	$datos['tipo']='simple';
//print_r($datos);
	echo json($datos);
	});
	
// entradas a aplicacion por identificador
$app ->get('/api/proyectos/{id}/aplicaciones/{aplicacion}/{identificador}', function(Request $request, Response $response){
	$datos= array();
	$datos['id']= $request->getAttribute('aplicacion');
	$datos['proyecto']= $request->getAttribute('id');
	$datos['identificador']= $request->getAttribute('identificador');
	$datos['tipo']='simple';

	echo json($datos);
	
	});
